import { __module as F } from "./index-regenerator3.js";
import { __require as H } from "./index-regeneratorDefine.js";
var m;
function K() {
  return m ? F.exports : (m = 1, (function(p) {
    var u = H();
    function S() {
      var y, r, w = typeof Symbol == "function" ? Symbol : {}, l = w.iterator || "@@iterator", G = w.toStringTag || "@@toStringTag";
      function E(s, T, M, N) {
        var z = T && T.prototype instanceof d ? T : d, P = Object.create(z.prototype);
        return u(P, "_invoke", (function(A, B, C) {
          var f, t, e, b = 0, R = C || [], v = !1, i = {
            p: 0,
            n: 0,
            v: y,
            a: x,
            f: x.bind(y, 4),
            d: function(o, c) {
              return f = o, t = 0, e = y, i.n = c, O;
            }
          };
          function x(a, o) {
            for (t = a, e = o, r = 0; !v && b && !c && r < R.length; r++) {
              var c, n = R[r], q = i.p, h = n[2];
              a > 3 ? (c = h === o) && (e = n[(t = n[4]) ? 5 : (t = 3, 3)], n[4] = n[5] = y) : n[0] <= q && ((c = a < 2 && q < n[1]) ? (t = 0, i.v = o, i.n = n[1]) : q < h && (c = a < 3 || n[0] > o || o > h) && (n[4] = a, n[5] = o, i.n = h, t = 0));
            }
            if (c || a > 1) return O;
            throw v = !0, o;
          }
          return function(a, o, c) {
            if (b > 1) throw TypeError("Generator is already running");
            for (v && o === 1 && x(o, c), t = o, e = c; (r = t < 2 ? y : e) || !v; ) {
              f || (t ? t < 3 ? (t > 1 && (i.n = -1), x(t, e)) : i.n = e : i.v = e);
              try {
                if (b = 2, f) {
                  if (t || (a = "next"), r = f[a]) {
                    if (!(r = r.call(f, e))) throw TypeError("iterator result is not an object");
                    if (!r.done) return r;
                    e = r.value, t < 2 && (t = 0);
                  } else t === 1 && (r = f.return) && r.call(f), t < 2 && (e = TypeError("The iterator does not provide a '" + a + "' method"), t = 1);
                  f = y;
                } else if ((r = (v = i.n < 0) ? e : A.call(B, i)) !== O) break;
              } catch (n) {
                f = y, t = 1, e = n;
              } finally {
                b = 1;
              }
            }
            return {
              value: r,
              done: v
            };
          };
        })(s, M, N), !0), P;
      }
      var O = {};
      function d() {
      }
      function j() {
      }
      function _() {
      }
      r = Object.getPrototypeOf;
      var k = [][l] ? r(r([][l]())) : (u(r = {}, l, function() {
        return this;
      }), r), g = _.prototype = d.prototype = Object.create(k);
      function D(s) {
        return Object.setPrototypeOf ? Object.setPrototypeOf(s, _) : (s.__proto__ = _, u(s, G, "GeneratorFunction")), s.prototype = Object.create(g), s;
      }
      return j.prototype = _, u(g, "constructor", _), u(_, "constructor", j), j.displayName = "GeneratorFunction", u(_, G, "GeneratorFunction"), u(g), u(g, G, "Generator"), u(g, l, function() {
        return this;
      }), u(g, "toString", function() {
        return "[object Generator]";
      }), (p.exports = S = function() {
        return {
          w: E,
          m: D
        };
      }, p.exports.__esModule = !0, p.exports.default = p.exports)();
    }
    p.exports = S, p.exports.__esModule = !0, p.exports.default = p.exports;
  })(F), F.exports);
}
export {
  K as __require
};
